Package com.destroystokyo.paper.entity.villager

# Enum Class ReputationType

java.lang.Object
java.lang.Enum<ReputationType>
com.destroystokyo.paper.entity.villager.ReputationType

All Implemented Interfaces:
  `Serializable`, `Comparable<ReputationType>`, `Constable`

public enum ReputationType extends Enum<ReputationType>
A type of reputation gained with a `Villager`.

All types but `MAJOR_POSITIVE` are shared to other villagers.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MAJOR_NEGATIVE`
A gossip with a majorly negative effect.
`MAJOR_POSITIVE`
A gossip with a major positive effect.
`MINOR_NEGATIVE`
A gossip with a minor negative effect.
`MINOR_POSITIVE`
A gossip with a minor positive effect.
`TRADING`
A gossip with a minor positive effect.

## Method Summary

Modifier and Type
Method
Description
`static ReputationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReputationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MAJOR_NEGATIVE

public static final ReputationType MAJOR_NEGATIVE
A gossip with a majorly negative effect. This is only gained through killing a nearby villager.

### MINOR_NEGATIVE

public static final ReputationType MINOR_NEGATIVE
A gossip with a minor negative effect. This is only gained through damaging a villager.

### MINOR_POSITIVE

public static final ReputationType MINOR_POSITIVE
A gossip with a minor positive effect. This is only gained through curing a zombie villager.

### MAJOR_POSITIVE

public static final ReputationType MAJOR_POSITIVE
A gossip with a major positive effect. This is only gained through curing a zombie villager.

### TRADING

public static final ReputationType TRADING
A gossip with a minor positive effect. This is only gained through trading with a villager.

## Method Details

### values

public static ReputationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ReputationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null